API ReferencePipelines
Update stage
Update stage settings.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidpipelineId*string
Format
uuidstageId*string
Format
uuidRequest Body
application/json
name?string
color?string
goal?integer
sortOrder?integer
isWonStage?boolean
isLostStage?boolean
Response Body
application/json
curl -X PATCH "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/stages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "Final Negotiation", "goal": 10 }'{
"stage": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd",
"name": "string",
"color": "#6366f1",
"goal": 0,
"sortOrder": 0,
"isWonStage": false,
"isLostStage": false,
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty
Empty